## libdumbnet 1.16.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(libdnet VERSION 1.16.4 LANGUAGES C)

find_package(TCL)

include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckStructHasMember)
include(CheckSymbolExists)
include(CheckTypeSize)
include(CheckCSourceCompiles)

set(WINDOWS_EXPORT_ALL_SYMBOLS True)
option(BUILD_SHARED_LIBS "Build in shared lib mode" OFF)

foreach (header stdio.h stdlib.h string.h inttypes.h)
  string(TOUPPER HAVE_${header} var)
  string(REGEX REPLACE "\\.|/" "_" var ${var})
  check_include_file(${header} ${var})
endforeach ()

if (MSVC)
    add_definitions(-DWIN32_LEAN_AND_MEAN)
    check_include_file(winsock2.h HAVE_WINSOCK2_H)
    set(HAVE_LIBWS2_32 ${HAVE_WINSOCK2_H})
    check_c_source_compiles("
        #define WIN32_LEAN_AND_MEAN
        #include <windows.h>
        #include <Iphlpapi.h>
        int main() { return 0; }"
        HAVE_IPHLPAPI_H)
    set(HAVE_LIBIPHLPAPI ${HAVE_IPHLPAPI_H})
    set(CMAKE_REQUIRED_LIBRARIES "ws2_32")
    check_symbol_exists(inet_pton WS2tcpip.h HAVE_INET_PTON)
    set(CMAKE_REQUIRED_LIBRARIES )
endif()
if(UNIX)
    foreach (header strings.h
            unistd.h sys/bufmod.h sys/dlpi.h sys/dlpihdr.h sys/dlpi_ext.h
            sys/ioctl.h sys/mib.h sys/ndd_var.h sys/socket.h sys/sockio.h
            sys/sysctl.h sys/time.h sys/stat.h net/bpf.h net/if.h net/if_var.h
            net/if_arp.h net/if_dl.h net/pfilt.h
            net/pfvar.h net/radix.h net/raw.h net/route.h netinet/in_var.h
            net/if_tun.h linux/if_tun.h netinet/ip_fw.h linux/ip_fw.h
            linux/ip_fwchains.h linux/netfilter_ipv4/ipchains_core.h
            ip_fil_compat.h netinet/ip_fil_compat.h ip_compat.h
            netinet/ip_compat.h ip_fil.h netinet/ip_fil.h
            hpsecurity.h stropts.h dlfcn.h fcntl.h)
      string(TOUPPER HAVE_${header} var)
      string(REGEX REPLACE "\\.|/" "_" var ${var})
      check_include_file(${header} ${var})
    endforeach ()
endif()

set(CMAKE_REQUIRED_LIBRARIES )
foreach (func err strlcat strlcpy strse)
  string(TOUPPER HAVE_${func} var)
  check_function_exists(${func} ${var})
endforeach ()

if (UNIX)
    set(CMAKE_REQUIRED_LIBRARIES "nm")
    check_function_exists(open_mib HAVE_OPEN_MIB)
    set(CMAKE_REQUIRED_LIBRARIES )

    CHECK_STRUCT_HAS_MEMBER("struct arpreq" arp_dev net/if_arp.h HAVE_ARPREQ_ARP_DEV LANGUAGE C)
    CHECK_STRUCT_HAS_MEMBER("struct sockaddr" sa_len sys/socket.h HAVE_SOCKADDR_SA_LEN LANGUAGE C)
    check_symbol_exists(rt_msghdr net/route.h HAVE_ROUTE_RT_MSGHDR)

    set(CMAKE_EXTRA_INCLUDE_FILES "netinet/in.h")
    check_type_size("struct sockaddr_in6" HAVE_SOCKADDR_IN6  LANGUAGE C)
    set(CMAKE_EXTRA_INCLUDE_FILES )

    find_file(HAVE_BSD_BPFH
        NAMES /dev/bpf0
        DOC "Check for the Berkeley Packet Filter")


    file(STRINGS /proc/sys/kernel/ostype PROCFS)
    message(STATUS "${PROCFS}")
    if (${PROCFS} STREQUAL "Linux")
        set(HAVE_LINUX_PROCFS True)
    endif()

    check_include_file(inet/mib2.h HAVE_STREAMS_MIB2)

    check_symbol_exists(ETH_P_ALL linux/if_ether.h HAVE_LINUX_PF_PACKET)

    check_symbol_exists(RTSTR_SEND net/route.h HAVE_STREAMS_ROUTE)

    check_symbol_exists(SIOCGARP sys/ioctl.h HAVE_IOCTL_ARP)

    string(TOLOWER ${CMAKE_SYSTEM_NAME} CMAKE_SYSTEM_NAME_LOWER)

    string(REGEX MATCH "bsd" BSD ${CMAKE_SYSTEM_NAME_LOWER})
    string(REGEX MATCH "darwin" DARWIN ${CMAKE_SYSTEM_NAME_LOWER})
    string(REGEX MATCH "osf" OSF ${CMAKE_SYSTEM_NAME_LOWER})
    string(REGEX MATCH "unixware" UNIXWARE ${CMAKE_SYSTEM_NAME_LOWER})
    string(REGEX MATCH "openbsd" OPENBSD ${CMAKE_SYSTEM_NAME_LOWER})
    string(REGEX MATCH "solaris" SOLARIS ${CMAKE_SYSTEM_NAME_LOWER})
    string(REGEX MATCH "irix" IRIX ${CMAKE_SYSTEM_NAME_LOWER})
    string(REGEX MATCH "freebsd5" FREEBSD5 ${CMAKE_SYSTEM_NAME_LOWER})
    string(REGEX MATCH "kfreebsd" KFREEBSD ${CMAKE_SYSTEM_NAME_LOWER})

    if (${BSD} OR ${DARWIN} OR ${OSF} OR ${UNIXWARE})
        set(HAVE_RAWIP_HOST_OFFLEN True)
    endif()

    if (${OPENBSD})
        set(HAVE_RAWIP_HOST_OFFLEN False)
    endif()

    if (${SOLARIS} OR ${IRIX})
        set(HAVE_RAWIP_COOKED True)
    endif()

    set(CMAKE_REQUIRED_LIBRARIES )
    foreach (func err strlcat strlcpy strse)
      string(TOUPPER HAVE_${func} var)
      check_function_exists(${func} ${var})
    endforeach ()



    set(CMAKE_REQUIRED_LIBRARIES nsl socket)
    check_function_exists(gethostbyname HAVE_GETHOSTBYNAME)
    if (NOT HAVE_GETHOSTBYNAME)
        unset(HAVE_GETHOSTBYNAME CACHE)
        set(CMAKE_REQUIRED_LIBRARIES nsl)
        check_function_exists(gethostbyname HAVE_GETHOSTBYNAME)
        if (NOT HAVE_GETHOSTBYNAME)
            unset(HAVE_GETHOSTBYNAME CACHE)
            set(CMAKE_REQUIRED_LIBRARIES)
            check_function_exists(gethostbyname HAVE_GETHOSTBYNAME)
        endif()
    endif()
    set(CMAKE_REQUIRED_LIBRARIES )
    check_function_exists(gethostbyaddr HAVE_GETHOSTBYADDR)
    check_function_exists(gethostname HAVE_GETHOSTNAME)
endif (UNIX)

check_function_exists(inet_ntoa HAVE_INET_NTOA)
check_function_exists(memset HAVE_MEMSET)
check_function_exists(select HAVE_SELECT)
check_function_exists(socket HAVE_SOCKET)
check_function_exists(strerror HAVE_STRERROR)
check_function_exists(strsep HAVE_STRSEP)

set(CMAKE_REQUIRED_LIBRARIES str)
check_function_exists(putmsg HAVE_PUTMSG)
set(CMAKE_REQUIRED_LIBRARIES )

set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_BUGREPORT)
set(PACKAGE_NAME ${PROJECT_NAME})
set(PACKAGE_STRING "${PROJECT_NAME} ${CMAKE_PROJECT_VERSION}")
set(PACKAGE_TARNAME ${PROJECT_NAME})
set(PACKAGE_URL)
set(PACKAGE_VERSION ${CMAKE_PROJECT_VERSION})
set(VERSION ${CMAKE_PROJECT_VERSION})

configure_file(config.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set(PLATFORM_SOURCES)

if (NOT HAVE_STRLCAT)
    list(APPEND PLATFORM_SOURCES src/strlcat.c)
endif()
if (NOT HAVE_STRLCPY)
    list(APPEND PLATFORM_SOURCES src/strlcpy.c)
endif()
if (NOT HAVE_STRSEP)
    list(APPEND PLATFORM_SOURCES src/strsep.c)
endif()


if (HAVE_ROUTE_RT_MSGHDR)
    list(APPEND PLATFORM_SOURCES src/arp-bsd.c)
elseif (HAVE_IOCTL_ARP)
    list(APPEND PLATFORM_SOURCES src/arp-ioctl.c)
elseif (HAVE_IPHLPAPI_H)
    list(APPEND PLATFORM_SOURCES src/arp-win32.c)
else()
    list(APPEND PLATFORM_SOURCES src/arp-none.c)
endif()

if (HAVE_IPHLPAPI_H)
#    no npcap support
#    list(APPEND PLATFORM_SOURCES src/eth-win32.c)
elseif(HAVE_NET_PFILT_H)
    list(APPEND PLATFORM_SOURCES src/eth-pfilt.c)
elseif(HAVE_BSD_BPF)
    list(APPEND PLATFORM_SOURCES src/eth-bsd.c)
elseif(HAVE_LINUX_PF_PACKET)
    list(APPEND PLATFORM_SOURCES src/eth-linux.c)
elseif(HAVE_NET_RAW_H)
    list(APPEND PLATFORM_SOURCES src/eth-snoop.c)
elseif(HAVE_SYS_NDD_VAR_H)
    list(APPEND PLATFORM_SOURCES src/eth-ndd.c)
elseif(HAVE_SYS_DLPI_H OR HAVE_SYS_DLPIHDR_H)
    list(APPEND PLATFORM_SOURCES src/eth-dlpi.c)
else()
    list(APPEND PLATFORM_SOURCES src/eth-none.c)
endif()

if (HAVE_IPHLPAPI_H)
    list(APPEND PLATFORM_SOURCES src/fw-pktfilter.c)
elseif(HAVE_NET_PFVAR_H)
    list(APPEND PLATFORM_SOURCES src/fw-pf.c)
elseif(HAVE_NETINET_IP_FW_H)
    if (FREEBSD5 OR KFREEBSD)
        list(APPEND PLATFORM_SOURCES src/fw-none.c)
    else()
        list(APPEND PLATFORM_SOURCES src/fw-ipfw.c)
    endif()
elseif(HAVE_IP_FIL_H)
    list(APPEND PLATFORM_SOURCES src/fw-ipf.c)
elseif(HAVE_LINUX_IP_FW_H OR HAVE_LINUX_IP_FWCHAINS_H OR HAVE_LINUX_NETFILTER_IPV4_IPCHAINS_CORE_H)
    list(APPEND PLATFORM_SOURCES src/fw-ipchains.c)
else()
    list(APPEND PLATFORM_SOURCES src/fw-none.c)
endif()

if (HAVE_IPHLPAPI_H)
    list(APPEND PLATFORM_SOURCES src/intf-win32.c)
else()
    list(APPEND PLATFORM_SOURCES src/intf.c)
endif()

if (HAVE_IPHLPAPI_H)
    list(APPEND PLATFORM_SOURCES src/ip-win32.c)
elseif(HAVE_RAWIP_COOKED)
    list(APPEND PLATFORM_SOURCES src/ip-cooked.c)
else()
    list(APPEND PLATFORM_SOURCES src/ip.c)
endif()

if (HAVE_IPHLPAPI_H)
    list(APPEND PLATFORM_SOURCES src/route-win32.c)
elseif(HAVE_ROUTE_RT_MSGHDR)
    list(APPEND PLATFORM_SOURCES src/route-bsd.c)
elseif(HAVE_LINUX_PROCFS)
    list(APPEND PLATFORM_SOURCES src/route-linux.c)
elseif(HAVE_HPSECURITY_H)
    list(APPEND PLATFORM_SOURCES src/route-hpux.c)
else()
    list(APPEND PLATFORM_SOURCES src/route-none.c)
endif()

if(HAVE_LINUX_PROCFS)
    list(APPEND PLATFORM_SOURCES src/ndisc-linux.c)
else()
    list(APPEND PLATFORM_SOURCES src/ndisc-none.c)
endif()

find_file(HAVE_DEV_TUN
            NAMES /dev/tun0
            DOC "Check for tun0")

if(HAVE_LINUX_IF_TUN_H)
    list(APPEND PLATFORM_SOURCES src/tun-linux.c)
elseif(HAVE_NET_IF_TUN_H)
    if(HAVE_STROPTS_H)
        list(APPEND PLATFORM_SOURCES src/tun-solaris.c)
    else()
        list(APPEND PLATFORM_SOURCES src/tun-bsd.c)
    endif()
elseif(HAVE_DEV_TUN)
    list(APPEND PLATFORM_SOURCES src/tun-bsd.c)
else()
    list(APPEND PLATFORM_SOURCES src/tun-none.c)
endif()

add_library(${PROJECT_NAME} src/addr-util.c src/addr.c src/blob.c src/ip-util.c src/ip6.c src/rand.c ${PLATFORM_SOURCES})

target_include_directories(${PROJECT_NAME} PUBLIC ${PROJECT_SOURCE_DIR}/include ${CMAKE_CURRENT_BINARY_DIR} )

if (MSVC)
    target_link_libraries(${PROJECT_NAME} PUBLIC Iphlpapi ws2_32)
endif()

## libdumbnet 1.12

=== debian/changelog ===
libdumbnet (1.12-10) unstable; urgency=medium

  * QA upload
  * debian/:
    * Replace dpatch with quilt and convert to 3.0 (quilt) source format
    * Rewrite debian/rules as short-form dh with debhelper compat 13
  * debian/control:
    * Remove obsolete Pre-Depends
    * Bump Standards-Version to 4.6.0
  * debian/*.{postinst,postrm,preinst}: Removed, no longer needed

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Jan 2022 19:26:17 +0100

libdumbnet (1.12-9) unstable; urgency=medium

  * QA upload.
  * Drop the Python subpackage.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 22:12:02 +0500

libdumbnet (1.12-8) unstable; urgency=medium

  * QA upload.
  * Correct the placement and the call to dh_prep.  (Closes: #908910)
  * Use dh_auto_{configure,build,install} as they know how to pass
    cross-building information to the upstream build system.
  * Set Rules-Requires-Root to "no".
  * Remove duplicated Build-Depends on autoconf.

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Sep 2018 07:24:55 +0000

libdumbnet (1.12-7) unstable; urgency=medium

  * QA upload.
  * Multiarchify the library package.
  * Build using dpkg-buildflags.
  * Bump the lintian and debhelper level.
  * Build using dh-python.
  * Enable parallel builds.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Feb 2016 12:24:58 +0100

libdumbnet (1.12-6) unstable; urgency=medium

  * QA upload.
  * Make people who test upgrades from testing to unstable
    happy (Closes: #775896).

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 05 Feb 2015 19:06:08 +0100

libdumbnet (1.12-5) unstable; urgency=medium

  * QA upload.
  * Fix missing doc folder during upgrades
    (Closes: #775896)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 30 Jan 2015 22:53:35 +0100

libdumbnet (1.12-4) unstable; urgency=low

  * QA upload.
    - Set Maintainer to Debian QA Group.
  * Convert to dh_python2 (Closes: #616861).
  * debian/rules:
    - Pass --add-missing parameter to automake call (Closes: #713367).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 07 Jul 2013 14:20:17 +0200

libdumbnet (1.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files.

 -- Luk Claes <luk@debian.org>  Fri, 01 Jul 2011 19:43:39 +0200

libdumbnet (1.12-3) unstable; urgency=low

  * Restore lost libdumbnet.so symlink in the -dev package.
    Closes: #542972.
  * Provide dumbnet-config again, provide the old name 'dnet-config'
    as a symlink, and make it print the correct -l parameter (i.e.
    include it into the changed files of the 01rename_library patch).
    Closes: #543050.
  * Write a terse manpage for dumbnet-config.
  * Bump Standards Version to 3.8.3.
    * Add a README.source file.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 23 Aug 2009 00:09:20 +0200

libdumbnet (1.12-2) unstable; urgency=low

  * kfreebsd has <stropts.h>, too, so the ./configure check to decide
    between tun-solaris and tun-bsd is bogus. For the time being patch
    ./configure.in to drop that test and choose tun-bsd right away.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Wed, 29 Jul 2009 13:56:43 +0200

libdumbnet (1.12-1) unstable; urgency=low

  * New upstream version.
  * Update upstream location in all Debian files, but do not overwrite
    the upstream README - add a note to README.Debian instead.
  * Add a symbols file.
  * Bump Standards Version to 3.8.2.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 25 Jul 2009 13:51:29 +0200

libdumbnet (1.11-1) UNRELEASED; urgency=low

  * Adopt the package. Closes: #474128.
  * New upstream version.
  * Completely rework the packaging. Use dpatch for patch management.
  * Thoroughly revise debian/copyright.
  * Accomplish the Debian-specific library renaming by modifying the
    .am files and rerunning the whole auto-toolchain. This is the cleanest
    way to do this and produces the smallest distro diff.
    -> New dpatch (script): 01rename_library.sh
  * Activate the python module build (closes: #388541):
    * Configure --with-python.
    * Patch the .pyx code to avoid using the reserved keyword 'type' as a
      mundane identifier.
      -> New dpatch: 02python_type_is_reserved
    * Patch the python Makefile to build against all current python versions.
      -> New dpatch: 03build_all_python_versions
  * Use debhelper v7.
  * Standards Version is now 3.8.1.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 28 Mar 2009 01:51:45 +0100

libdumbnet (1.8-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Move {Source-Version} to {binary:Version}.
  * Change pwd to CURDIR in rules.
  * Add {shlibs:Depends} to dev package.
  * Add watch file.
  * Remove redundant section: libs from binary package.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 23 Jan 2009 18:00:52 -0500

libdumbnet (1.8-1.5) unstable; urgency=low

  * Porter NMU.
  * Added support for GNU/kFreeBSD, patch from the BTS (closes: bug#341598).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 20:38:30 +0100

libdumbnet (1.8-1.4) unstable; urgency=low

  * NMU
  * Fix a bug in addr_btos() (Closes: #364821)

 -- Julien Danjou <acid@debian.org>  Tue, 16 May 2006 13:56:32 +0200

libdumbnet (1.8-1.3) unstable; urgency=low

  * Fixed SONAME problem by fixing the -version-info number in
    src/Makefile.am (Closes: #289777)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 11 Jan 2005 16:13:41 +0100

libdumbnet (1.8-1.2) unstable; urgency=low

  * Introduce AM_MAINTAINER_MODE in configure.in to avoid timestamp
    skew of the auto* files, also touch ac files in debian/rules configure
    just in case (Closes: #289794)
  * Check if symlinks exist before creating them (in config.status
    and distclean target in debian/rules)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 11 Jan 2005 14:55:00 +0100



=== debian/control ===
Source: libdumbnet
Section: libs
Priority: optional
Standards-Version: 4.6.0
Homepage: http://code.google.com/p/libdnet/
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 check,
 debhelper-compat (= 13),
Rules-Requires-Root: no

Package: libdumbnet1
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Architecture: any
Multi-Arch: same
Description: dumb, portable networking library -- shared library
 libdumbnet provides a simplified, portable interface to several low-level
 networking routines, including
   * network address manipulation
   * kernel arp(4) cache and route(4) table lookup and manipulation
   * network firewalling (IP filter, ipfw, ipchains, pdf, ...)
   * network interface lookup and manipulation
   * raw IP packet and Ethernet frame transmission
 .
 libdumbnet is known as libdnet in other distributions, but was renamed
 in Debian in favour of the older DECnet library 'libdnet'.
 .
 This package contains the shared library.

Package: libdumbnet-dev
Section: libdevel
Depends:
 libdumbnet1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Architecture: any
Description: dumb, portable networking library -- development files
 libdumbnet provides a simplified, portable interface to several low-level
 networking routines, including
   * network address manipulation
   * kernel arp(4) cache and route(4) table lookup and manipulation
   * network firewalling (Ip filter, ipfw, ipchains, pdf, ...)
   * network interface lookup and manipulation
   * raw IP packet and Ethernet frame transmission
 .
 libdumbnet is known as libdnet in other distributions, but was renamed
 in Debian in favour of the older DECnet library 'libdnet'.
 .
 This package contains the static library and the C header files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -f -i -Iconfig

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# Running test suite. Errors are being ignored because several tests
	# are bound to fail:
	# * check_addr: fails because glibc gethostbyname() accepts malformed
	#   IPs
	# * check_ip: fails because test includes binding to a RAW socket
	#   which requires CAP_NET_ADMIN
	# * check_fw: fails because Linux doesn't provide a simple userspace
	#   fw API (and libdumbnet therefore includes its fw-none module which
	#   just returns ENOSYS)
	-$(MAKE) -C test/check check-am
endif

=== debian/watch ===
version=3
http://code.google.com/p/libdnet/downloads/list \
 http://libdnet.googlecode.com/files/libdnet-([0-9.]*).tgz

## libdumbnet 1.16.1

=== debian/changelog ===
libdumbnet (1.16.1-1) unstable; urgency=medium

  * [2f3fbc4] New upstream version 1.16
    * Removes local version of strl* and strsep (Closes: #749003)
  * [001cc11] New upstream version 1.16.1
  * [5b5c3e8] debian/copyright: update for new upstream release
  * [caa656b] debian/patches/: drop those now applied upstream
  * [b5d0df1] debian/patches/: refresh remaining files
  * [ba9c728] debian/libdumbnet1.symbols: update for new upstream
  * [22eaf3e] debian/patches/empty-line-in-manpages.patch: added fixing
    the manpages

 -- Florian Ernst <florian@debian.org>  Wed, 04 May 2022 21:17:06 +0200

libdumbnet (1.14-2) unstable; urgency=medium

  * [3204204] rely on pkg-config to detect "check" lib during build
  * [62641db] enable gitlab-ci on Salsa
  * [21da070] activate Salsa pipeline
  * [57d2f1b] debian/tests/: add simple autopkgtest test
  * [52fb455] default to verbose dh for better debuggability

 -- Florian Ernst <florian@debian.org>  Sat, 12 Mar 2022 15:22:34 +0100

libdumbnet (1.14-1) unstable; urgency=medium

  * [8738c08] New upstream version 1.14
    http://code.google.com/p/libdnet/ was migrated to
    https://github.com/dugsong/libdnet which in turn now redirects to
    https://github.com/ofalk/libdnet
  * [58c2ec8] debian/{control,copyright,watch}: update upstream homepage
  * [08a27ac] debian/README.Debian: drop now-obsolete note about upstream
    homepage
  * [e97d606] debian/patches/01rename_library.patch: update for new upstream
    release.
    For that debian/patches/01rename_library.sh.dpatch was salvaged from
    1.12-9, slightly adjusted for the new release and then used to generate
    the new patch.
  * [b95a8d9] refresh remaining patches, forward where needed, and supply
    DEP-3 headers
  * [20b2fa1] debian/patches/08typos.patch: added, fixing some common typos
  * [7c1d4aa] debian/copyright: redo machine-readable
  * [521907e] debian/copyright: also add BSD-4-clause License block
  * [b41e78e] debian/libdumbnet-dev.docs: follow upstream's README to
    README.md
  * [0f67980] debian/upstream/metadata: added
  * [411c9c5] debian/libdumbnet1.symbols: add Build-Depends-Package
  * [1204558] debian/changelog: trim trailing whitespace
  * [fc10881] debian/rules: enable all hardening options
  * [5efc1b2] debian/control: add Vcs-* pointing to salsa
  * [9f14f81] debian/control: new maintainer (Closes: #698982)

 -- Florian Ernst <florian@debian.org>  Sun, 27 Feb 2022 13:21:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: libs
 Priority: optional
 Standards-Version: 4.6.0
-Homepage: http://code.google.com/p/libdnet/
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Homepage: https://github.com/ofalk/libdnet
+Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends:
  check,
  debhelper-compat (= 13),
+ pkg-config,
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/libdumbnet
+Vcs-Git: https://salsa.debian.org/debian/libdumbnet.git
 
 Package: libdumbnet1
 Depends:

## libdumbnet 1.16.3

=== debian/changelog ===
libdumbnet (1.16.3-1) unstable; urgency=medium

  * [8e0a34e] New upstream version 1.16.3
  * [6cef3b8] debian/patches/: refresh where needed

 -- Florian Ernst <florian@debian.org>  Thu, 12 Jan 2023 17:38:28 +0100

libdumbnet (1.16.2-1) unstable; urgency=medium

  * [e197b3c] New upstream version 1.16.2
  * [751ed7a] debian/copyright: update years
  * [8eaba43] debian/patches/: refresh where needed
  * [086cf9b] debian/control: Standards-Version: 4.6.2 (no changes required)

 -- Florian Ernst <florian@debian.org>  Wed, 04 Jan 2023 10:59:27 +0100

libdumbnet (1.16.1-2) unstable; urgency=medium

  * [ddb03b4] fix FTBFS on GNU/Hurd by omitting some symbols.
    Thanks to Svante Signell (Closes: 1021260)
  * [a5b35a7] debian/control: Standards-Version: 4.6.1.0 (no changes required)

 -- Florian Ernst <florian@debian.org>  Tue, 04 Oct 2022 19:03:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libdumbnet
 Section: libs
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ofalk/libdnet
 Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends:

## libdumbnet 1.16.4

=== debian/changelog ===
libdumbnet (1.16.4-1) unstable; urgency=medium

  * [4893e69] New upstream version 1.16.4
  * [e81a2eb] refresh patches

 -- Florian Ernst <florian@debian.org>  Mon, 26 Jun 2023 18:45:44 +0200

## libdumbnet 1.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,19 @@
 cmake_minimum_required(VERSION 3.14)
 
-project(libdnet VERSION 1.16.4 LANGUAGES C)
+project(dnet VERSION 1.17.0 LANGUAGES C)
 
 find_package(TCL)
 
 include(CheckFunctionExists)
 include(CheckIncludeFile)
+include(CheckIncludeFiles)
 include(CheckStructHasMember)
 include(CheckSymbolExists)
 include(CheckTypeSize)
 include(CheckCSourceCompiles)
-
-set(WINDOWS_EXPORT_ALL_SYMBOLS True)
+include(GNUInstallDirs)
+
+set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS True)
 option(BUILD_SHARED_LIBS "Build in shared lib mode" OFF)
 
 foreach (header stdio.h stdlib.h string.h inttypes.h)
@@ -39,10 +41,10 @@
     foreach (header strings.h
             unistd.h sys/bufmod.h sys/dlpi.h sys/dlpihdr.h sys/dlpi_ext.h
             sys/ioctl.h sys/mib.h sys/ndd_var.h sys/socket.h sys/sockio.h
-            sys/sysctl.h sys/time.h sys/stat.h net/bpf.h net/if.h net/if_var.h
-            net/if_arp.h net/if_dl.h net/pfilt.h
-            net/pfvar.h net/radix.h net/raw.h net/route.h netinet/in_var.h
-            net/if_tun.h linux/if_tun.h netinet/ip_fw.h linux/ip_fw.h
+            sys/time.h sys/stat.h net/if.h net/if_var.h
+            net/if_dl.h net/pfilt.h
+            net/radix.h net/raw.h net/route.h netinet/in_var.h
+            linux/if_tun.h netinet/ip_fw.h linux/ip_fw.h
             linux/ip_fwchains.h linux/netfilter_ipv4/ipchains_core.h
             ip_fil_compat.h netinet/ip_fil_compat.h ip_compat.h
             netinet/ip_compat.h ip_fil.h netinet/ip_fil.h
@@ -51,6 +53,12 @@
       string(REGEX REPLACE "\\.|/" "_" var ${var})
       check_include_file(${header} ${var})
     endforeach ()
+
+    check_include_files("sys/types.h;net/bpf.h" HAVE_NET_BPF_H)
+    check_include_files("sys/types.h;net/if_arp.h" HAVE_NET_IF_ARP_H)
+    check_include_files("sys/types.h;net/if_tun.h" HAVE_NET_IF_TUN_H)
+    check_include_files("sys/types.h;net/if.h;net/pfvar.h" HAVE_NET_PFVAR_H)
+    check_include_files("sys/types.h;sys/sysctl.h" HAVE_SYS_SYSCTL_H)
 endif()
 
 set(CMAKE_REQUIRED_LIBRARIES )
@@ -66,21 +74,18 @@
 
     CHECK_STRUCT_HAS_MEMBER("struct arpreq" arp_dev net/if_arp.h HAVE_ARPREQ_ARP_DEV LANGUAGE C)
     CHECK_STRUCT_HAS_MEMBER("struct sockaddr" sa_len sys/socket.h HAVE_SOCKADDR_SA_LEN LANGUAGE C)
-    check_symbol_exists(rt_msghdr net/route.h HAVE_ROUTE_RT_MSGHDR)
+    CHECK_STRUCT_HAS_MEMBER("struct rt_msghdr" rtm_msglen "sys/socket.h;net/if.h;net/route.h" HAVE_ROUTE_RT_MSGHDR LANGUAGE C)
 
     set(CMAKE_EXTRA_INCLUDE_FILES "netinet/in.h")
     check_type_size("struct sockaddr_in6" HAVE_SOCKADDR_IN6  LANGUAGE C)
     set(CMAKE_EXTRA_INCLUDE_FILES )
 
-    find_file(HAVE_BSD_BPFH
-        NAMES /dev/bpf0
-        DOC "Check for the Berkeley Packet Filter")
-
-
-    file(STRINGS /proc/sys/kernel/ostype PROCFS)
-    message(STATUS "${PROCFS}")
-    if (${PROCFS} STREQUAL "Linux")
-        set(HAVE_LINUX_PROCFS True)
+    if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
+        file(STRINGS /proc/sys/kernel/ostype PROCFS)
+        message(STATUS "${PROCFS}")
+        if (${PROCFS} STREQUAL "Linux")
+            set(HAVE_LINUX_PROCFS True)
+        endif()
     endif()
 
     check_include_file(inet/mib2.h HAVE_STREAMS_MIB2)
@@ -103,15 +108,15 @@
     string(REGEX MATCH "freebsd5" FREEBSD5 ${CMAKE_SYSTEM_NAME_LOWER})
     string(REGEX MATCH "kfreebsd" KFREEBSD ${CMAKE_SYSTEM_NAME_LOWER})
 
-    if (${BSD} OR ${DARWIN} OR ${OSF} OR ${UNIXWARE})
+    if (BSD OR DARWIN OR OSF OR UNIXWARE)
         set(HAVE_RAWIP_HOST_OFFLEN True)
     endif()
 
-    if (${OPENBSD})
+    if (OPENBSD)
         set(HAVE_RAWIP_HOST_OFFLEN False)
     endif()
 
-    if (${SOLARIS} OR ${IRIX})
+    if (SOLARIS OR IRIX)
         set(HAVE_RAWIP_COOKED True)
     endif()
 
@@ -190,10 +195,10 @@
 #    list(APPEND PLATFORM_SOURCES src/eth-win32.c)
 elseif(HAVE_NET_PFILT_H)
     list(APPEND PLATFORM_SOURCES src/eth-pfilt.c)
-elseif(HAVE_BSD_BPF)
-    list(APPEND PLATFORM_SOURCES src/eth-bsd.c)
 elseif(HAVE_LINUX_PF_PACKET)
     list(APPEND PLATFORM_SOURCES src/eth-linux.c)
+elseif(HAVE_NET_BPF_H)
+    list(APPEND PLATFORM_SOURCES src/eth-bsd.c)
 elseif(HAVE_NET_RAW_H)
     list(APPEND PLATFORM_SOURCES src/eth-snoop.c)
 elseif(HAVE_SYS_NDD_VAR_H)
@@ -272,10 +277,103 @@
     list(APPEND PLATFORM_SOURCES src/tun-none.c)
 endif()
 
-add_library(${PROJECT_NAME} src/addr-util.c src/addr.c src/blob.c src/ip-util.c src/ip6.c src/rand.c ${PLATFORM_SOURCES})
-
-target_include_directories(${PROJECT_NAME} PUBLIC ${PROJECT_SOURCE_DIR}/include ${CMAKE_CURRENT_BINARY_DIR} )
+add_library(${PROJECT_NAME}
+    src/addr-util.c
+    src/addr.c
+    src/blob.c
+    src/err.c
+    src/ip-util.c
+    src/ip6.c
+    src/rand.c
+    ${PLATFORM_SOURCES})
+
+target_include_directories(${PROJECT_NAME} PUBLIC
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
+    $<INSTALL_INTERFACE:include>
+    $<INSTALL_INTERFACE:include/dnet>
+)
+
+set(DNET_HEADERS
+    include/dnet/addr.h
+    include/dnet/arp.h
+    include/dnet/blob.h
+    include/dnet/eth.h
+    include/dnet/fw.h
+    include/dnet/icmp.h
+    include/dnet/intf.h
+    include/dnet/ip.h
+    include/dnet/ip6.h
+    include/dnet/ndisc.h
+    include/dnet/os.h
+    include/dnet/rand.h
+    include/dnet/route.h
+    include/dnet/sctp.h
+    include/dnet/tcp.h
+    include/dnet/tun.h
+    include/dnet/udp.h
+)
+set(DNET_HEADERS1
+    include/dnet.h
+    include/err.h
+    include/queue.h
+    ${CMAKE_CURRENT_BINARY_DIR}/config.h
+)
+set_target_properties(
+    ${PROJECT_NAME}
+    PROPERTIES
+    PUBLIC_HEADER "${DNET_HEADERS}"
+)
 
 if (MSVC)
     target_link_libraries(${PROJECT_NAME} PUBLIC Iphlpapi ws2_32)
 endif()
+
+install(TARGETS ${PROJECT_NAME}
+    EXPORT ${PROJECT_NAME}Targets DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT runtime
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT devel
+    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}/${PROJECT_NAME} COMPONENT devel
+)
+
+
+install(FILES ${DNET_HEADERS1}
+        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}
+        COMPONENT devel)
+
+install(EXPORT ${PROJECT_NAME}Targets
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}/
+    FILE ${PROJECT_NAME}Targets.cmake
+    NAMESPACE ${PROJECT_NAME}::
+    COMPONENT devel
+)
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/${PROJECT_NAME}-config.cmake.in
+    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
+    @ONLY
+)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/${PROJECT_NAME}-config-version.cmake.in
+    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
+    @ONLY
+)
+install(
+    FILES
+        ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
+        ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}/
+    COMPONENT devel
+)
+
+if(UNIX)
+  if(NOT CPACK_GENERATOR)
+    set(CPACK_GENERATOR "DEB")
+  endif()
+
+  set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
+  set(CPACK_STRIP_FILES 1)
+  if(${CMAKE_VERSION} VERSION_GREATER "3.5")
+    set(CPACK_DEBIAN_FILE_NAME DEB-DEFAULT)
+  endif()
+endif()
+
+include(CPack)

=== debian/changelog ===
libdumbnet (1.17.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:43:40 +1100

libdumbnet (1.17.0-1ubuntu1) noble; urgency=medium

  * d/libdumbnet1.symbols: set symbols strlcpy/strlcat as optional
    (LP: #2055693). These symbols were added to glibc 2.38 and the
    package is FTBFS due to lintian.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 29 Feb 2024 17:45:05 +0000

libdumbnet (1.17.0-1) unstable; urgency=medium

  * [f85ba27] New upstream version 1.17.0
  * [dce82d6] debian/patches/01rename_library.patch: refresh
  * [0e461a1] debian/libdumbnet1.symbols: updated

 -- Florian Ernst <florian@debian.org>  Tue, 17 Oct 2023 17:21:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Standards-Version: 4.6.2
 Homepage: https://github.com/ofalk/libdnet
-Maintainer: Florian Ernst <florian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends:
  check,
  debhelper-compat (= 13),

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/ofalk/libdnet/tags \
    (?:.*?/)?libdnet-v?(\d[\d.]*)\.tar\.gz

## libdumbnet 1.18.0

=== debian/changelog ===
libdumbnet (1.18.0-2) unstable; urgency=medium

  * [d9870d9] d/copyright: clarify that some parts are actually
    BSD-4-Clause-UC
  * [98c46ce] d/control: Standards-Version: 4.7.2 (no further changes
    required)
  * [46dc92c] d/copyright: update year

 -- Florian Ernst <florian@debian.org>  Sat, 08 Mar 2025 08:42:05 +0100

libdumbnet (1.18.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop strlcat/strlcpy from symbols (Closes: #1071321)

 -- Bastian Germann <bage@debian.org>  Sun, 26 May 2024 16:35:47 +0000

libdumbnet (1.18.0-1) unstable; urgency=medium

  * [9f0ff73] New upstream version 1.18.0
  * [2fb6bb8] debian/copyright: update for new upstream release
  * [73e5c8b] refresh patches
  * [dba4094] debian/control: B-D on pkgconf instead of on pkg-config

 -- Florian Ernst <florian@debian.org>  Sun, 10 Mar 2024 13:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: libdumbnet
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/ofalk/libdnet
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Florian Ernst <florian@debian.org>
+Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends:
  check,
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libdumbnet
 Vcs-Git: https://salsa.debian.org/debian/libdumbnet.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+export DH_VERBOSE = 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: build
Depends:
 build-essential,
 libdumbnet-dev,

## libdumbnet 1.18.2

=== debian/changelog ===
libdumbnet (1.18.2-1) unstable; urgency=medium

  * [a569023] New upstream version 1.18.2
  * [92227f8] d/patches/: refresh for new upstream release
  * [03fe5fb] d/copyright: update year
  * [5ccd1be] d/control: drop now-redundant fields, Standards-Version: 4.7.3

 -- Florian Ernst <florian@debian.org>  Sun, 08 Feb 2026 13:28:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: libdumbnet
 Section: libs
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/ofalk/libdnet
 Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends:
  check,
  debhelper-compat (= 13),
  pkgconf,
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libdumbnet
 Vcs-Git: https://salsa.debian.org/debian/libdumbnet.git
